%{?nodejs_find_provides_and_requires}

%global packagename egal
%global enable_tests 0

Name:		nodejs-egal
Version:	1.3.0
Release:	1%{?dist}
Summary:	Strict equality test

License:	AGPL 3.0 with exceptions
URL:		https://github.com/moll/js-egal.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(must)
%endif

Requires:	nodejs

%description
Strict equality test (like ===) that handles both built-in and custom value
objects (those with a valueOf function).


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Initial packaging
